Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS05MjVyLXI2cnAtMmpqN84AAv04

ManyDesigns Portofino subject to creation of insecure temporary file

A vulnerability has been found in ManyDesigns Portofino 5.3.2. Affected by this vulnerability is the function createTempDir of the file WarFileLauncher.java. The manipulation leads to creation of temporary file in directory with insecure permissions. Upgrading to version 5.3.3 is able to address this issue. The name of the patch is 94653cb357806c9cf24d8d294e6afea33f8f0775. It is recommended to upgrade the affected component.

Permalink: https://github.com/advisories/GHSA-925r-r6rp-2jj7
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS05MjVyLXI2cnAtMmpqN84AAv04
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: over 1 year ago
Updated: over 1 year ago


CVSS Score: 7.1
CVSS vector: CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N

Identifiers: GHSA-925r-r6rp-2jj7, CVE-2022-3952
References: Repository: https://github.com/ManyDesigns/Portofino
Blast Radius: 4.3

Affected Packages

maven:com.manydesigns:portofino
Dependent packages: 0
Dependent repositories: 4
Downloads:
Affected Version Ranges: < 5.3.3
Fixed in: 5.3.3
All affected versions: 4.1.1, 4.1.2, 4.1.3, 4.2.1, 4.2.2, 4.2.3, 4.2.4, 4.2.5, 4.2.6, 4.2.7, 4.2.8, 4.2.9, 4.2.10, 4.2.11, 5.0.0, 5.0.1, 5.0.2, 5.0.3, 5.1.0, 5.1.1, 5.1.2, 5.1.3, 5.1.4, 5.2.0, 5.2.1, 5.3.0, 5.3.1, 5.3.2
All unaffected versions: 5.3.3, 5.3.4